/* MAIN STYLES */

body.contentpane {
    overflow-y: auto;
    width: 100%;
}
body.contentpane #system-message-container {
    margin: 0 auto;
    max-width: 600px;
}

.com_cab select option:disabled {
    color: var(--light);
}

.com_cab .accounts_selector > .btn:disabled {
    opacity: 1;
}
.com_cab .accounts_selector .dropdown-menu .active_account {
    display: none !important;
}

.com_cab.container_spec {
    align-items: center;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 30px 0;
    margin: 0 auto;
    max-width: 600px;
    min-height: 100vh;
}

.com_cab .country_flag {
    max-height: 1em;
    width: 22px;
}

.com_cab .tariff_card {
    max-width: 18rem;
}
.com_cab .tariff_card .amount{
    font-size: 1em;
}
.com_cab .tariff_card .status_badge {
    max-height: 1.3em;
}

.com_cab .user_pic.avatar_male {
    background-image: url(/media/mod_myprofile/images/user_m.png);
}
.com_cab .user_pic.avatar_female {
    background-image: url(/media/mod_myprofile/images/user_f.png);
}

/* Currency amounts styles */
@media (max-width: 576.98px) {
    .com_cab .depositAmounts__wrapper .custom-control-inline {
        width: 100%;
    }
}
.com_cab .amount {
    align-items: center;
    display: inline-flex;
    font-size: 1rem;
    font-weight: 700;
    line-height: 1;
}
.com_cab .amount > * {
    display: inline-block;
    height: 1em;
    line-height: 1;
    vertical-align: middle;
}
.com_cab .amount .currency_sign {
    font-size: 1.2em;
}
.com_cab .amount .currency_abbr {
    margin-left: 0.3em;
    text-transform: uppercase;
}
@keyframes slide-down {
    0% {
        opacity: 0;
        transform: translateY(25%);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
/* --- */

/* Custom radio labels */
.crl {
    margin-right: -10px !important;
    margin-left: -10px !important;
}
.crl .col {
    height: 82px;
    padding-right: 10px;
    padding-bottom: 20px;
    padding-left: 10px;
}
.crl .label {
    cursor: pointer;
    margin-bottom: 0;
    user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -webkit-user-select: none;
}
.crl .label input:checked ~ .checkmark {
    border-color: var(--primary);
}
.crl .label input:checked ~ .mark {
    background-color: var(--primary);
    border-top-right-radius: 0.3rem;
    border-bottom-left-radius: 0.3rem;
    height: 1.3rem;
    line-height: 1.3rem;
    opacity: 1;
    top: 0;
    right: 0;
    text-align: center;
    width: 1.3rem;
}
.crl .label:hover .checkmark {
    border-color: var(--primary);
}
.crl .label:hover .label_text {
    color: #fff;
}
.crl .label .checkmark {
    background-color: #edf1ed;
    border: solid 1px transparent;
    border-radius: 3px;
    transition: border-color 0.6s linear;
    -web-transition: border-color 0.6s linear;
}
.crl .labelImage {
    max-height: 55%;
}
.crl .labelImage + .labelText {
    margin-left: 0.7em;
}
.crl .labelText {
    font-size: 1.3rem;
}
.crl .label .mark {
    opacity: 0;
}
.crl .label .mark i {
    color: var(--light);
}
.crl .opacity_0 {
    opacity: 0;
}
/* --- */

/* --- --- */

/* Budge - trade terminal*/
.budge__tradeTerminal {
    align-items: center;
    display: inline-flex;
    height: 2.3em;
    justify-content: center;
    overflow: hidden;
    position: relative;
    width: 2.3em;
}
.budge__tradeTerminal.light_blue > .helper {
    background-color: #eaf1ff;
}
.budge__tradeTerminal > img {
    display: block;
    height: 0.6em !important;
    position: relative;
    z-index: 1;
}
.budge__tradeTerminal > .helper {
    border-top: 1px solid #afc7fd;
    border-right: 2px solid #afc7fd;
    border-bottom: 2px solid #afc7fd;
    border-left: 0;
    border-radius: 16px;
    overflow: hidden;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    transform: rotate(45deg);
}
.budge__tradeTerminal > .helper:before {
    border-top: 2px solid #afc7fd;
    border-right: 2px solid #afc7fd;
    border-bottom: 2px solid #afc7fd;
    border-left: 0;
    border-radius: 16px;
    content: "";
    position: absolute;
    top: -2px;
    right: -2px;
    bottom: -2px;
    left: -2px;
    transform: rotate(45deg);
}
/* --- */

.com_cab.history_withdrawal table td {
    vertical-align: middle;
}
.com_cab.history_withdrawal table .status {
    font-weight: 700;
}
.com_cab.history_withdrawal table .item_datetime {
    font-size: 90%;
    line-height: 1;
}
.com_cab.replenishment .tab-pane {
    border: solid 1px var(--primary);
    margin-top: 1.5rem;
}
.com_cab.replenishment .tab-pane.active {
    animation: slide-down 2s ease-out;
}
.com_cab.user_data .set_02 .user_badge {
    height: 90px;
    min-width: 90px;
    width: 90px;
}
.com_cab.users_statuses #users_statuses_table th:not(:first-child) {
    width: 15%;
}
.com_cab.users_statuses .feature_icon {
    min-width: 1.5em;
}
.com_cab.users_statuses #users_statuses_table th img {
    max-height: 2em;
}
.com_cab.verification .file-drop-zone {
    min-height: 2em;
}
.com_cab.verification #file_input_content .tab-pane.active {
    height: 100%;
}
.com_cab.verification .multiTabs_dropdown i {
    max-width: 1.5em;
    min-width: 1.5em;
    width: 1.5em;
}
.com_cab.withdrawal #withdrawalAmount__value {
    max-width: 10em;
}